$(document).ready(function(){

    $("#progressRank").hide();

    $('.carousel.carousel-slider').carousel({full_width: true});

    $("#affichRank").click(function(){

        $.ajax({
            url: 'traitement.php',
            type: 'GET',
            dataType: 'html',
            success:
            function(donnees, status, xhr)
            {
                $("#classement").html(donnees);
                $('.collapsible').collapsible({
                    accordion : false // A setting that changes the collapsible behavior to expandable instead of the default accordion style
                });
            },
            error:
            function(xhr, status, error)
            {
                alert("param : " + xhr.responseText);
                alert("status : " + status);
                alert("error : " + error);
            }
        });
    });
});

$(document).ajaxStart(function(){
    $("#progressRank").show();
});

$(document).ajaxStop(function(){
    $("#progressRank").hide();
});